//game.h
#define GRID_X 7
#define GRID_Y 6
#define TILE_S 64

class meteor { //^^
    int life; //explosion life
    int frameskip;
    float speedX, speedY;
    public:
        meteor(int kx, int ky);
        int update();
        int frame();
        float x,y;
        int status;
        int getX(int w, int w1);
        int getY(int h, int h1);
    };
    
class granny {
    float vx,vy;
    public: 
        float x,y;
        granny();
        int update(int terrain, float dx, float dy);
        int status;
    };
    
class game {
    bool mouseDown;
    int kw, repX, repY, attX, attY, time, ttime, hard, saved;
    public:
        game();
        ~game();
        void reset(int ratio);
        int update();
        void load_highscores();
        void save_highscores();
        void show_highscores();
        //public variables
        int specialGrid[7][6]; //7 tiles per X, 6 Y
        int mode;
        int special[5]; //how many special tiles you can place
        int selection, dialogFace, dialog, count, shieldSTR, score;
        char dialogText[4][128];
        vector<granny> grannyArmy;
        vector<meteor> flamestrikes;
        list<int> scores;
    };
